| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::detail::tracking::contrib_feature::CvParams Class Referenceabstract

`#include <opencv2/tracking/feature.hpp>`

Collaboration diagram for cv::detail::tracking::contrib_feature::CvParams:

## Public Member Functions
| CvParams ()
virtual | ~CvParams ()
virtual void | printAttrs () const
virtual void | printDefaults () const
virtual bool | read (const FileNode &node)=0
virtual bool | scanAttr (const std::string prmName, const std::string val)
virtual void | write (FileStorage &fs) const =0

## Public Attributes
std::string | name

## Constructor & Destructor Documentation

## ◆ CvParams()

cv::detail::tracking::contrib_feature::CvParams::CvParams | ( |  | ) |

## ◆ ~CvParams()

virtual cv::detail::tracking::contrib_feature::CvParams::~CvParams | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ printAttrs()

virtual void cv::detail::tracking::contrib_feature::CvParams::printAttrs | ( |  | ) | const
| virtual

Reimplemented in cv::detail::tracking::contrib_feature::CvHaarFeatureParams.

## ◆ printDefaults()

virtual void cv::detail::tracking::contrib_feature::CvParams::printDefaults | ( |  | ) | const
| virtual

Reimplemented in cv::detail::tracking::contrib_feature::CvHaarFeatureParams.

## ◆ read()

virtual bool cv::detail::tracking::contrib_feature::CvParams::read | ( | const FileNode & | node | ) |
| pure virtual

Implemented in cv::detail::tracking::contrib_feature::CvFeatureParams, and cv::detail::tracking::contrib_feature::CvHaarFeatureParams.

## ◆ scanAttr()

virtual bool cv::detail::tracking::contrib_feature::CvParams::scanAttr | ( | const std::string | prmName,
|  | const std::string | val )
| virtual

Reimplemented in cv::detail::tracking::contrib_feature::CvHaarFeatureParams.

## ◆ write()

virtual void cv::detail::tracking::contrib_feature::CvParams::write | ( | FileStorage & | fs | ) | const
| pure virtual

Implemented in cv::detail::tracking::contrib_feature::CvFeatureParams, and cv::detail::tracking::contrib_feature::CvHaarFeatureParams.

## Member Data Documentation

## ◆ name

std::string cv::detail::tracking::contrib_feature::CvParams::name

The documentation for this class was generated from the following file:

- opencv2/tracking/feature.hpp